Summary:	Qt XMPP library
Name:		jreen
Version:	1.3.0
Release:	%mkrel 9
License:	GPLv2+
Group:		System/Libraries
URL:		https://github.com/euroelessar/jreen
Source0:	https://github.com/euroelessar/jreen/archive/v%{version}/%{name}-%{version}.tar.gz
Patch0:		jreen-1.3.0-fix-build-against-qt-5.11.0.patch
Patch1:		jreen-cmake-4.0.patch

### Qt5 BuildRequires
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)

BuildRequires:	pkgconfig(libgsasl)
BuildRequires:	pkgconfig(libidn)
BuildRequires:	pkgconfig(speex)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	cmake >= 2.8.0

%description
Qt XMPP library.

#---------------------------------------------------------------------

### Qt5

%define jreen_qt5_major 1
%define libjreen_qt5 %mklibname jreen-qt5_ %{jreen_qt5_major}

%package -n	%{libjreen_qt5}
Summary:	Qt5 XMPP library
Group:		System/Libraries

%description -n	%{libjreen_qt5}
Qt5 XMPP library.

%files -n %{libjreen_qt5}
%{_libdir}/libjreen-qt5.so.%{jreen_qt5_major}{,.*}

#--------------------------------------------------------------------

%define develjreen_qt5 %mklibname jreen-qt5 -d

%package -n	%{develjreen_qt5}
Summary:	Devel files for %{name}-qt5
Group:		Development/C
Provides:	%{name}-qt5-devel = %{version}-%{release}
Provides:	lib%{name}-qt5-devel = %{version}-%{release}
Requires:	%{libjreen_qt5} = %{version}-%{release}

%description -n	%{develjreen_qt5}
Devel files for %{name}-qt5.

%files -n %{develjreen_qt5}
%{_includedir}/%{name}-qt5/
%{_libdir}/libjreen-qt5.so
%{_libdir}/pkgconfig/libjreen-qt5.pc

### End Qt5

#---------------------------------------------------------------------

%prep
%autosetup -p1

%build
%global _vpath_srcdir ..

### Qt5 Build
mkdir -p qt5
pushd qt5
%cmake_qt5 -DJREEN_FORCE_QT4:BOOL=OFF
%cmake_build
popd

%install
### Qt5 Install
%make_install -C qt5/%{_vpath_builddir}


%changelog
* Tue Jul 08 2025 daviddavid <daviddavid> 1.3.0-9.mga10
+ Revision: 2252377
- fix build with cmake 4.0
+ umeabot <umeabot>
- Mageia 10 Mass Rebuild

* Fri Apr 04 2025 daviddavid <daviddavid> 1.3.0-8.mga10
+ Revision: 2173286
- rebuild for new gsasl 2.2.2
- stop building Qt4 support

* Sun Apr 03 2022 umeabot <umeabot> 1.3.0-7.mga9
+ Revision: 1842091
- Mageia 9 Mass Rebuild

* Thu Dec 17 2020 umeabot <umeabot> 1.3.0-6.mga8
+ Revision: 1658616
- Rebuild for new Qt5

* Sat Feb 15 2020 umeabot <umeabot> 1.3.0-5.mga8
+ Revision: 1524663
- Mageia 8 Mass Rebuild
+ wally <wally>
- build with new cmake macros
- build with new cmake macros

* Sat Mar 30 2019 umeabot <umeabot> 1.3.0-4.mga7
+ Revision: 1381940
- Qt5 Rebuild

* Sun Sep 23 2018 umeabot <umeabot> 1.3.0-3.mga7
+ Revision: 1298394
- Mageia 7 Mass Rebuild

* Wed Jun 06 2018 daviddavid <daviddavid> 1.3.0-2.mga7
+ Revision: 1234926
- add patch to fix build with new Qt5 >= 5.11.0

* Tue Oct 10 2017 daviddavid <daviddavid> 1.3.0-1.mga7
+ Revision: 1170656
- new version: 1.3.0
- port also to Qt5 (needed for tomahawk-player)

* Mon Feb 08 2016 umeabot <umeabot> 1.1.1-6.mga6
+ Revision: 946799
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.1.1-5.mga5
+ Revision: 739008
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1.1-4.mga5
+ Revision: 680860
- Mageia 5 Mass Rebuild

* Sat Jan 11 2014 spuhler <spuhler> 1.1.1-3.mga4
+ Revision: 566208
- added jreenMocros.patch
+ umeabot <umeabot>
- Mageia 4 Mass Rebuild

* Sun Jul 07 2013 luigiwalser <luigiwalser> 1.1.1-1.mga4
+ Revision: 450921
- 1.1.1

* Sat Jan 12 2013 umeabot <umeabot> 1.1.0-2.mga3
+ Revision: 355568
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jul 31 2012 shlomif <shlomif> 1.1.0-1.mga3
+ Revision: 276768
- New version - thanks to fedya

* Fri Nov 25 2011 mikala <mikala> 1.0.1-1.mga2
+ Revision: 171896
- Update tarball to 1.0.1

* Sat Jul 16 2011 mikala <mikala> 0.0-0.20110715.1.mga2
+ Revision: 124742
- imported package jreen

